cairomm: Cairo::Pattern Class Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes

# Cairo::Pattern Class Reference

This is a reference-counted object that should be used via Cairo::RefPtr. More...

Inheritance diagram for Cairo::Pattern:
[legend]

List of all members.

## Public Types
typedef cairo_pattern_t | cobject
## Public Member Functions
| Pattern (cairo_pattern_t*cobject, bool has_reference=false)
| Create a C++ wrapper for the C instance.
virtual | ~Pattern ()
void | set_matrix (const Matrix& matrix)
void | get_matrix (Matrix& matrix) const
Matrix | get_matrix () const
void | set_matrix (const cairo_matrix_t& matrix)
void | get_matrix (cairo_matrix_t& matrix) const
PatternType | get_type () const
cobject* | cobj ()
const cobject* | cobj () const
void | reference () const
void | unreference () const
## Protected Member Functions
| Pattern ()
## Protected Attributes
cobject* | m_cobject

## Detailed Description

This is a reference-counted object that should be used via Cairo::RefPtr.

## Member Typedef Documentation

typedef cairo_pattern_t Cairo::Pattern::cobject

## Constructor & Destructor Documentation

Cairo::Pattern::Pattern | ( | cairo_pattern_t * | cobject,
|  | bool | has_reference = `false`
| ) |  | `[explicit]`

Create a C++ wrapper for the C instance.

This C++ instance should then be given to a RefPtr.

Parameters:

  cobject | The C instance.
  has_reference | Whether we already have a reference. Otherwise, the constructor will take an extra reference.

virtual Cairo::Pattern::~Pattern | ( |  | ) | `[virtual]`

Cairo::Pattern::Pattern | ( |  | ) | `[protected]`

## Member Function Documentation

cobject* Cairo::Pattern::cobj | ( |  | ) | `[inline]`

const cobject* Cairo::Pattern::cobj | ( |  | ) | const`[inline]`

void Cairo::Pattern::get_matrix | ( | cairo_matrix_t& | matrix | ) | const

void Cairo::Pattern::get_matrix | ( | Matrix& | matrix | ) | const

Matrix Cairo::Pattern::get_matrix | ( |  | ) | const

Since:
  1.8

PatternType Cairo::Pattern::get_type | ( |  | ) | const

void Cairo::Pattern::reference | ( |  | ) | const

void Cairo::Pattern::set_matrix | ( | const cairo_matrix_t& | matrix | ) |

void Cairo::Pattern::set_matrix | ( | const Matrix& | matrix | ) |

void Cairo::Pattern::unreference | ( |  | ) | const

## Member Data Documentation

cobject* Cairo::Pattern::m_cobject`[protected]`

The documentation for this class was generated from the following file:

- cairomm/pattern.h